import '../WitsystemSDK.dart';
import 'dart:convert' as convert;

///设备管理

class DeviceManage extends WisystemSDk {
  factory DeviceManage() => _getInstance();

  static DeviceManage get instance => _getInstance();
  static DeviceManage? _instance;

  DeviceManage._internal();

  static DeviceManage _getInstance() {
    _instance ??= DeviceManage._internal();
    return _instance!;
  }

  /// 获得设备列表
  Future<List<dynamic>> deviceList() async {
    try {
      String json = await methodChannel.invokeMethod("deviceList");
      return Future.value(convert.json.decode(json));
    } catch (e) {
      rethrow;
    }
  }

  /// 获得指定设备的信息
  Future<Map<String, dynamic>> device(String deviceId) async {
    try {
      String json = await methodChannel.invokeMethod("device", {"deviceId": deviceId});
      return Future.value(convert.json.decode(json));
    } catch (e) {
      rethrow;
    }
  }
}
